# Class Shell.ExitCodeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.zookeeper.Shell.ExitCodeException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `Shell`

public static class Shell.ExitCodeException extends IOException
This is an IOException with exit code added.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ExitCodeException(int exitCode, String message)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getExitCode()`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExitCodeException

public ExitCodeException(int exitCode, String message)

## Method Details

### getExitCode

public int getExitCode()